The DocRaptor pipeline allows you to choose the combination of PDF and JavaScript engines used to create your PDFs. We do not automatically upgrade your account to the latest version, to protect you from any unexpected changes that might occur.

Some of the DocRaptor pipelines are extremely out-dated and lack many modern JavaScript, HTML, and CSS features. We strongly recommend that you upgrade your account to use the latest pipeline whenever a new version is available. However, you should test to the upgrade prior to changing your production settings to ensure that your documents display as expected. 

You can change your default pipeline from your account settings page.
This default can be overridden on a per-document basis (useful for testing) through the API pipeline parameter.

By default, your account will use the latest version at the time your account was created.

The exact PDF and JavaScript engines used in each pipeline version are listed in the API pipeline parameter documentation. 

Did this answer your question?